Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestRequestStepResult

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepResult
          com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequestStepResult

All Implemented Interfaces:
  MessageExchange, TestStepResult

    public class WsdlTestRequestStepResult

extends WsdlTestStepResult
implements MessageExchange

TestStepResult for a WsdlTestRequestStep

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.TestStepResult
`TestStepResult.TestStepStatus`

Constructor Summary
`WsdlTestRequestStepResult(WsdlTestRequestStep step)`

Method Summary
`void` | `discard()` Can discard any result data that may be taking up memory.
`ActionList` | `getActions()` Returns a list of actions that can be applied to this result
`java.lang.String` | `getDomain()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getEndpoint()`
`java.lang.String` | `getPassword()`
`StringToStringMap` | `getProperties()`
`Attachment[]` | `getRequestAttachments()`
`java.lang.String` | `getRequestContent()`
`StringToStringMap` | `getRequestHeaders()`
`WsdlResponse` | `getResponse()`
`Attachment[]` | `getResponseAttachments()`
`java.lang.String` | `getResponseContent()`
`StringToStringMap` | `getResponseHeaders()`
`long` | `getTimestamp()`
`java.lang.String` | `getUsername()`
`void` | `setDomain(java.lang.String domain)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setEndpoint(java.lang.String endpoint)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRequestContent(java.lang.String requestContent)`
`void` | `setResponse(WsdlResponse response)`
`void` | `setUsername(java.lang.String username)`
`void` | `writeTo(java.io.PrintWriter writer)` Writes this result to the specified writer, used for logging.

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepResult
`addAction, addMessage, getError, getMessages, getSize, getStatus, getTestStep, getTimeStamp, getTimeTaken, isDiscarded, setError, setSize, setStatus, setTimeStamp, setTimeTaken, startTimer, stopTimer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.MessageExchange
`getMessages, getTimeTaken`

Constructor Detail

### WsdlTestRequestStepResult

    public WsdlTestRequestStepResult(WsdlTestRequestStep step)

Method Detail

### getRequestContent

    public java.lang.String getRequestContent()

  Specified by:
    `getRequestContent` in interface `MessageExchange`

### setRequestContent

    public void setRequestContent(java.lang.String requestContent)

### getResponse

    public WsdlResponse getResponse()

### getActions

    public ActionList getActions()

  Description copied from interface: `TestStepResult`
  Returns a list of actions that can be applied to this result

  Specified by:
    `getActions` in interface `TestStepResult`
  Overrides:
    `getActions` in class `WsdlTestStepResult`

### setResponse

    public void setResponse(WsdlResponse response)

### getDomain

    public java.lang.String getDomain()

### setDomain

    public void setDomain(java.lang.String domain)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getEndpoint

    public java.lang.String getEndpoint()

### setEndpoint

    public void setEndpoint(java.lang.String endpoint)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### discard

    public void discard()

  Description copied from interface: `TestStepResult`
  Can discard any result data that may be taking up memory. Timing-values must not be discarded.

  Specified by:
    `discard` in interface `TestStepResult`
  Overrides:
    `discard` in class `WsdlTestStepResult`

### writeTo

    public void writeTo(java.io.PrintWriter writer)

  Description copied from interface: `TestStepResult`
  Writes this result to the specified writer, used for logging.

  Specified by:
    `writeTo` in interface `TestStepResult`
  Overrides:
    `writeTo` in class `WsdlTestStepResult`

### getProperties

    public StringToStringMap getProperties()

  Specified by:
    `getProperties` in interface `MessageExchange`

### getRequestAttachments

    public Attachment[] getRequestAttachments()

  Specified by:
    `getRequestAttachments` in interface `MessageExchange`

### getRequestHeaders

    public StringToStringMap getRequestHeaders()

  Specified by:
    `getRequestHeaders` in interface `MessageExchange`

### getResponseAttachments

    public Attachment[] getResponseAttachments()

  Specified by:
    `getResponseAttachments` in interface `MessageExchange`

### getResponseContent

    public java.lang.String getResponseContent()

  Specified by:
    `getResponseContent` in interface `MessageExchange`

### getResponseHeaders

    public StringToStringMap getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `MessageExchange`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `MessageExchange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.